<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dgcatven';
  	var  $cod_ven = '0';
	var  $nom_ven = '0';
	var  $ap_pat_ven = '0';
	var  $ap_mat_ven = '0';
	var  $direccion = '0';
	var  $nom_empr = '0';
	var  $telefono = '0';
	var  $rfc_ven = '0';
	
	var  $aceso = '0';
	var  $pasw = '0';
	var  $sta = '0';
	var  $tip_acc = '0';
	var  $tip_per = '0';
        var  $usuario = '0';
//Funcion de Revicion
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE nom_ven like '$this->nom_ven'";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (cod_ven, nom_ven, ap_pat_ven, ap_mat_ven, direccion, nom_empr, telefono, rfc_ven, aceso, pasw ,sta,tip_acc,tip_per,usuario)values('$this->cod_ven', '$this->nom_ven', '$this->ap_pat_ven', '$this->ap_mat_ven', '$this->direccion', '$this->nom_empr', '$this->telefono', '$this->rfc_ven', '$this->aceso', '$this->pasw', '$this->sta','$this->tip_acc','$this->tip_per','$this->usuario')";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($cod_ven){
		$sql= "SELECT * FROM $this->nom_tabla WHERE cod_ven = '$cod_ven'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($cod_ven){
		$sql = "UPDATE $this->nom_tabla SET cod_ven = '$this->cod_ven', nom_ven = '$this->nom_ven', ap_pat_ven = '$this->ap_pat_ven', ap_mat_ven = '$this->ap_mat_ven', direccion = '$this->direccion', nom_empr = '$this->nom_empr', telefono = '$this->telefono', rfc_ven = '$this->rfc_ven', aceso = '$this->aceso', pasw = '$this->pasw', sta = '$this->sta',tip_acc='$this->tip_acc',tip_per='$this->tip_per' where cod_ven = '$cod_ven' ";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($cod_ven){   
		$sql = "DELETE FROM $this->nom_tabla WHERE cod_ven = '$cod_ven'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>